%global packname  remoter
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.4.0
Release:          1%{?dist}
Summary:          Remote R: Control a Remote R Session from a Local One
License:          BSD
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_0.4-0.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-pbdZMQ R-getPass R-argon2 R-stats R-utils R-tools R-grDevices R-graphics R-png
# Suggests:  R-sodium R-pbdRPC
# LinkingTo:
# Enhances:

Requires:         R-pbdZMQ R-getPass R-argon2 R-stats R-utils R-tools
Requires:         R-grDevices R-graphics R-png R-sodium R-pbdRPC 
BuildRequires:    R-devel tex(latex) 
BuildRequires:    R-pbdZMQ R-getPass R-argon2 R-stats R-utils R-tools
BuildRequires:    R-grDevices R-graphics R-png R-sodium R-pbdRPC 
BuildArch:        noarch

%description
A set of utilities for client/server computing with R, controlling a
remote R session (the server) from a local one (the client).  Simply set
up a server (see package vignette for more details) and connect to it from
your local R session ('RStudio', terminal, etc).  The client/server
framework is a custom 'REPL' and runs entirely in your R session without
the need for installing a custom environment on your system.  Network
communication is handled by the 'ZeroMQ' library by way of the 'pbdZMQ'

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%license remoter/LICENSE
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}


%changelog
* Fri Jul 19 2019 Dave love <loveshack@fedoraproject.org> - 0.4.0-1
- Initial packaging
